{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key RISK  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/RISK/AssetImportances/{id}": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Get a Asset Importance resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AssetImportance->Code | string |  |\r\n| createdByUserId | AssetImportance->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AssetImportance->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AssetImportance->CreatedByUser_FullName | string |  |\r\n| createdOn | AssetImportance->CreatedOn | string | date-time |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n| modifiedByUserId | AssetImportance->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AssetImportance->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AssetImportance->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AssetImportance->ModifiedOn | string | date-time |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AssetImportance->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AssetImportance->PermissionTree_Description | string |  |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| description | AssetImportance->Description | string |  |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetAssetImportance",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset Importance",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetImportanceResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Update an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "UpdateAssetImportance",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAssetImportanceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Importance was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Delete an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteAssetImportance",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteAssetImportanceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Importance was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Get a collection of Asset Importance resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n",
        "operationId": "GetAssetImportanceCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Importance collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetImportanceCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Create a new Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Required | True |  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "CreateAssetImportance",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAssetImportanceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Lookups/LookupAssetImportanceChangePermissionTree": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Lookup the permission set for changing the Asset Importance.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAssetImportanceChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetImportanceChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Lookups/LookupAssetImportanceInsertPermissionTree": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Lookup the permission set for creating the Asset Importance.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAssetImportanceInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetImportanceInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch/{ids}": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Get a collection of Asset Importance resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AssetImportance->Code | string |  |\r\n| createdByUserId | AssetImportance->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AssetImportance->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AssetImportance->CreatedByUser_FullName | string |  |\r\n| createdOn | AssetImportance->CreatedOn | string | date-time |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n| modifiedByUserId | AssetImportance->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AssetImportance->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AssetImportance->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AssetImportance->ModifiedOn | string | date-time |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AssetImportance->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AssetImportance->PermissionTree_Description | string |  |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| description | AssetImportance->Description | string |  |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetAssetImportance",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Importance id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset Importance collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAssetImportanceResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch": {
      "post": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Create a new collection of Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Required | True |  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchCreateAssetImportance",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAssetImportanceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Asset Importance batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Update a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchUpdateAssetImportance",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAssetImportanceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Importance batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Delete a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteAssetImportance",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteAssetImportanceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Importance batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/{id}/Active": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the IsActive status for an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAssetImportanceIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetImportanceIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the PermissionTree for an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAssetImportancePermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetImportancePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch/Active": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the IsActive status for a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAssetImportanceIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetImportanceIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAssetImportancePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetImportancePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/MatchBatch": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Update a collection of existing Asset Importance resources to have the same value(s).",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| description | AssetImportance->Description | string |  |\r\n| notes | AssetImportance->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "MatchUpdateAssetImportance",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "matchUpdate",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitymatchupdatecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/MatchUpdateAssetImportanceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Importance batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/{id}": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Get a Risk Consequence resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n| createdByUserId | RiskConsequence->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | RiskConsequence->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | RiskConsequence->CreatedByUser_FullName | string |  |\r\n| createdOn | RiskConsequence->CreatedOn | string | date-time |\r\n| modifiedByUserId | RiskConsequence->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | RiskConsequence->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | RiskConsequence->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | RiskConsequence->ModifiedOn | string | date-time |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | RiskConsequence->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | RiskConsequence->PermissionTree_Description | string |  |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| riskConsequenceCategoryCode | RiskConsequence->RiskConsequenceCategory_Code | string |  |\r\n| riskConsequenceCategoryDescription | RiskConsequence->RiskConsequenceCategory_Description | string |  |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n",
        "operationId": "GetRiskConsequence",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Risk Consequence",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetRiskConsequenceResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Update an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "UpdateRiskConsequence",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateRiskConsequenceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Risk Consequence was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Delete an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteRiskConsequence",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteRiskConsequenceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Risk Consequence was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Get a collection of Risk Consequence resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| riskConsequenceCategoryCode | RiskConsequence->RiskConsequenceCategory_Code | string |  |\r\n| riskConsequenceCategoryDescription | RiskConsequence->RiskConsequenceCategory_Description | string |  |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n| value | RiskConsequence->Value | number | decimal |\r\n",
        "operationId": "GetRiskConsequenceCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Risk Consequence collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetRiskConsequenceCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Create a new Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| riskConsequenceCategoryId | Required | True |  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Required | True |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "CreateRiskConsequence",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateRiskConsequenceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Lookups/LookupRiskConsequenceChangePermissionTree": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Lookup the permission set for changing the Risk Consequence.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupRiskConsequenceChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/RiskConsequenceChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Lookups/LookupRiskConsequenceInsertPermissionTree": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Lookup the permission set for creating the Risk Consequence.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupRiskConsequenceInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/RiskConsequenceInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Lookups/LookupRiskConsequenceRiskConsequenceCategory": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Lookup the Risk Consequence Category for the Risk Consequence.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequenceCategory->Id | integer | int64 |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n",
        "operationId": "LookupRiskConsequenceRiskConsequenceCategory",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Risk Consequence Category collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/RiskConsequenceRiskConsequenceCategoryLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch/{ids}": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Get a collection of Risk Consequence resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n| createdByUserId | RiskConsequence->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | RiskConsequence->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | RiskConsequence->CreatedByUser_FullName | string |  |\r\n| createdOn | RiskConsequence->CreatedOn | string | date-time |\r\n| modifiedByUserId | RiskConsequence->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | RiskConsequence->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | RiskConsequence->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | RiskConsequence->ModifiedOn | string | date-time |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | RiskConsequence->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | RiskConsequence->PermissionTree_Description | string |  |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| riskConsequenceCategoryCode | RiskConsequence->RiskConsequenceCategory_Code | string |  |\r\n| riskConsequenceCategoryDescription | RiskConsequence->RiskConsequenceCategory_Description | string |  |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n",
        "operationId": "BatchGetRiskConsequence",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Risk Consequence id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Risk Consequence collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetRiskConsequenceResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch": {
      "post": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Create a new collection of Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| riskConsequenceCategoryId | Required | True |  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Required | True |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchCreateRiskConsequence",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateRiskConsequenceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Risk Consequence batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Update a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchUpdateRiskConsequence",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateRiskConsequenceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Risk Consequence batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Delete a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteRiskConsequence",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteRiskConsequenceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Risk Consequence batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/{id}/Active": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the IsActive status for an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeRiskConsequenceIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeRiskConsequenceIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the PermissionTree for an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeRiskConsequencePermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeRiskConsequencePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch/Active": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the IsActive status for a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeRiskConsequenceIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeRiskConsequenceIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeRiskConsequencePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeRiskConsequencePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories/{id}": {
      "get": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Get a Risk Consequence Category resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| createdByUserId | RiskConsequenceCategory->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | RiskConsequenceCategory->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | RiskConsequenceCategory->CreatedByUser_FullName | string |  |\r\n| createdOn | RiskConsequenceCategory->CreatedOn | string | date-time |\r\n| isActive | RiskConsequenceCategory->IsActive | boolean |  |\r\n| modifiedByUserId | RiskConsequenceCategory->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | RiskConsequenceCategory->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | RiskConsequenceCategory->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | RiskConsequenceCategory->ModifiedOn | string | date-time |\r\n| permissionTreeId | RiskConsequenceCategory->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | RiskConsequenceCategory->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | RiskConsequenceCategory->PermissionTree_Description | string |  |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n| id | RiskConsequenceCategory->Id | integer | int64 |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n| notes | RiskConsequenceCategory->Notes | string |  |\r\n| sequenceNumber | RiskConsequenceCategory->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetRiskConsequenceCategory",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Risk Consequence Category",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetRiskConsequenceCategoryResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Update an existing Risk Consequence Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n| notes | RiskConsequenceCategory->Notes | string |  |\r\n| sequenceNumber | RiskConsequenceCategory->SequenceNumber | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "UpdateRiskConsequenceCategory",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateRiskConsequenceCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Risk Consequence Category was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Delete an existing Risk Consequence Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteRiskConsequenceCategory",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Category Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteRiskConsequenceCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Risk Consequence Category was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories": {
      "get": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Get a collection of Risk Consequence Category resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequenceCategory->Id | integer | int64 |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n| sequenceNumber | RiskConsequenceCategory->SequenceNumber | integer | int32 |\r\n| isActive | RiskConsequenceCategory->IsActive | boolean |  |\r\n",
        "operationId": "GetRiskConsequenceCategoryCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Risk Consequence Category collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetRiskConsequenceCategoryCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Create a new Risk Consequence Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n| notes | RiskConsequenceCategory->Notes | string |  |\r\n| permissionTreeId | RiskConsequenceCategory->PermissionTree_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequenceCategory->SequenceNumber | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateRiskConsequenceCategory",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateRiskConsequenceCategoryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories/Lookups/LookupRiskConsequenceCategoryChangePermissionTree": {
      "get": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Lookup the permission set for changing the Risk Consequence Category.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupRiskConsequenceCategoryChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/RiskConsequenceCategoryChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories/Lookups/LookupRiskConsequenceCategoryInsertPermissionTree": {
      "get": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Lookup the permission set for creating the Risk Consequence Category.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupRiskConsequenceCategoryInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/RiskConsequenceCategoryInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories/Batch/{ids}": {
      "get": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Get a collection of Risk Consequence Category resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| createdByUserId | RiskConsequenceCategory->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | RiskConsequenceCategory->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | RiskConsequenceCategory->CreatedByUser_FullName | string |  |\r\n| createdOn | RiskConsequenceCategory->CreatedOn | string | date-time |\r\n| isActive | RiskConsequenceCategory->IsActive | boolean |  |\r\n| modifiedByUserId | RiskConsequenceCategory->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | RiskConsequenceCategory->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | RiskConsequenceCategory->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | RiskConsequenceCategory->ModifiedOn | string | date-time |\r\n| permissionTreeId | RiskConsequenceCategory->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | RiskConsequenceCategory->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | RiskConsequenceCategory->PermissionTree_Description | string |  |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n| id | RiskConsequenceCategory->Id | integer | int64 |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n| notes | RiskConsequenceCategory->Notes | string |  |\r\n| sequenceNumber | RiskConsequenceCategory->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetRiskConsequenceCategory",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Risk Consequence Category id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Risk Consequence Category collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetRiskConsequenceCategoryResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories/Batch": {
      "post": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Create a new collection of Risk Consequence Category resources.",
[...]
